/****************************************************************************
	Knihovna ovladače WiFi modulu.

*****************************************************************************/

#ifndef WIFI_H
#define WIFI_H
#include "OS_types.h"

/****************************************************************************
	Stav wifi modulu

*****************************************************************************/
typedef enum WIFI_STATE				
{
	WIFI_IDLE,
	WIFI_WAIT_FOR_RESULT,
	WIFI_BRIDGE,
}WIFI_STATE;

#define WIFI_BUFFER_LENGTH 1000		//Délka bufferu

extern unsigned char wifiBuffer[];

void DrvWifi(void);
void WifiSendCommand(unsigned char *command);
void WifiClearBuffer(void);
ANSWER WifiBusy(void);
ANSWER WifiOK(void);
void WifiWasRebooted(void);
ANSWER WifiOnline(void);
ANSWER WifiError(void);
#endif